FractionFormat Example |
Using Programming Languages other than VBA
Sub Example_FractionFormat() ' This example creates an aligned dimension in model space and ' uses FractionFormat to cycle through some fractional formats ' for the dimension. ' * Note the appearance of the "1/2" component of the dimension Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 0: point1(1) = 5: point1(2) = 0 point2(0) = 5.5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Switch to a mode that works with the FractionFormat property dimObj.UnitsFormat = acDimLArchitectural ' Cycle through some common fractional formats dimObj.FractionFormat = acDiagonal ' Change format to Diagonal ThisDrawing.Regen acAllViewports MsgBox "The dimension format is now set to diagonal" dimObj.FractionFormat = acHorizontal ' Change format to Horizontal ThisDrawing.Regen acAllViewports MsgBox "The dimension format is now set to horizontal" dimObj.FractionFormat = acNotStacked ' Change format to NotStacked ThisDrawing.Regen acAllViewports MsgBox "The dimension format is now unstacked" End Sub
Comments? |